%define name mailfilter
%define version 0.8.2
%define release %mkrel 2

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A program that filters your incoming e-mail to help remove spam
License: GPL
Group: Networking/Mail
Source: http://downloads.sourceforge.net/project/mailfilter/Mailfilter/%{version}/%{name}-%{version}.tar.gz
Patch0: mailfilter-0.8.2-gcc44.patch
Patch1: mailfilter-0.8.2-openssl.patch
Buildrequires: byacc bison flex libopenssl-devel
Buildroot: %{_tmppath}/%{name}-buildroot
URL: http://mailfilter.sourceforge.net/

%description
Mailfilter is very flexible utility for UNIX (-like) operating systems to get
rid of unwanted e-mail messages, before having to go through the trouble of
downloading them to the local computer. It offers support for one or many
POP3 accounts and is especially useful for dialup connections via modem,
ISDN, etc. Install Mailfilter if you'd like to remove spam from your POP3 mail
accounts.

%prep
%setup -q
%patch0 -p1 -b .gcc44
%patch1 -p0 -b .openssl

%build
%configure2_5x
make

%install
rm -fr %buidlroot
%makeinstall_std

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
%doc doc/FAQ 
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*




%changelog
* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.8.2-2mdv2010.1
+ Revision: 536626
- fix build
- fix build with newer openssl

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.2-1mdv2010.0
+ Revision: 417474
- Update to new version 0.8.2 (fixes CVE-2007-1558)
- Add patch from Gentoo to fix build with gcc 4.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.8.1-1mdv2008.1
+ Revision: 177283
- new version 0.8.1

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.8-2mdv2008.1
+ Revision: 140935
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jan 04 2007 Lenny Cartier <lenny@mandriva.com> 0.8-2mdv2007.0
+ Revision: 104170
- Adjust buildrequires
- Update to 0.8

  + Michael Scherer <misc@mandriva.org>
    - Import mailfilter

